// import { HtmlTextParser } from './../ctrls/HtmlTextParser';
import Panel from "../views/Panel";
import { NetManager } from "../../libs/tw/manager/NetManager";
import { DataManager } from "../../libs/tw/manager/DataManager";
export default class RulePanel extends Panel {
    public ruleGroup:eui.Group;
    public ruleLb:eui.Label;
    public okBtn:eui.Button;

    public get skinKey() { return 'RulePanel' }
    public get groupName() { return 'rule_panel' }

    constructor(data: any) {
        super(data);
    }

    onSkinComplete(): void {
        super.onSkinComplete();

        this.once(egret.Event.ADDED_TO_STAGE, this.onLoad, this);
        if (this.stage) {
            this.onLoad();
        }
    }

    start(): void {
        this.percentHeight = 100;
    }

    initEvents(): void {
        super.initEvents();
        // this.okBtn.addEventListener(egret.TouchEvent.TOUCH_TAP, this.onTouchTap, this);
    }

    removeEvents(): void {
        super.removeEvents();
        // this.okBtn.removeEventListener(egret.TouchEvent.TOUCH_TAP, this.onTouchTap, this);
    }

    private onLoad():void{
        // NetManager.ins.getRule(function(success){

        //     if(success){
        //         //使用 HtmlTextParser 解析html文本
        //         this.ruleLb.textFlow = new HtmlTextParser().parse(DataManager.ins.getRuleData.ruleText);
        //     }else{
        //         this.ruleLb.text = '规则'
        //     }
        // }.bind(this));

        // this.ruleLb.textColor = 0x2c2a29;
        // this.ruleLb.stroke = 0;
        // this.ruleLb.textFlow = new HtmlTextParser().parse(DataManager.ins.ajaxElementDataNew.rule);
        // this.ruleLb.text = '当地球日遇上阅读日，让我们一起大声地为地球朗读！\n测一测你更像哪一位书籍中的经典人物呢？\n\n活动时间：4月22日至4月23日\n\n活动说明：每位用户可无限次免费参与测试活动，每参与1次活动即可获得1次抽奖机会，每天每位用户最多可获得5次抽奖机会\n\n奖品说明：\na，书旗小说45天会员\nb，喜马拉雅15天会员\nc，网易蜗牛读书免费7天\nd，爱奇艺阅读7天会员卡\n\n重要声明：\n1、优惠券类奖品的使用规则详见每个优惠券的介绍页\n2、通过非法途径获得奖品的，主办方有权不提供奖品';
        this.ruleLb.text = `【如何玩儿？】
1.活动期内，每位用户可领养一只酷小我（每台设备仅限关联一个账号）
2.通过投喂／玩耍／学音乐，酷小我可以升级成不同阶段，每次升级主人都将获得现金红包或神秘礼包
3.点击“赚金币”通过完成每日任务获得金币，金币仅用于投喂／玩耍／学音乐的消耗
4.“赚金币”任务包含：每日签到／收藏2首歌曲／收听歌曲；首次及连续参与活动还可额外获得更多金币哦
4.每次酷小我学音乐回来，还有机会获得神秘礼包哦

【提现说明】
1.现金收益满5元即可提现（每次提现仅可提取5元）
2.提现一般3-5个工作日到微信账户，如遇节假日到账会有延迟请耐心等待

【其他说明】
1.活动结束后无法继续参与，未达提现门槛奖金将作废
2.同一设备仅可关联一个账号参与活动，一经关联无法解绑；如存在作弊违规行为，系统会将您判定为风险账号，导致奖金不予下发且无法提现。
3.该活动的最终解释权归酷我音乐所有；我司可在法律法规允许范围内对本次活动规则解释并做出适当修改`;
    }

    
}